LimeSurvey issue tracker
Registration

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
06992Bug reports[All Projects] Templatespublic2012-11-29 20:342012-12-04 13:16
Reportercreativologist 
Assigned Toc_schmitz 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Version2.00+ 
Summary06992: After registering for a token based survey - the next page is missing template css
Description
The {TEMPLATECSS} placeholder is not being parsed.
Steps To Reproducehttp://pianowizardacademy.com/survey/index.php/survey/index/sid/156386/lang/en [^]


(notice the CSS on this page)

Register (this is a test survey)

See next page.

Template CSS is missing.

I will donate to the project if issue is resolved within 48 hrsNo
LimeSurvey build number OR git commit ID121127
BrowserFirefox
Database & DB-VersionN/A
Operating System (Server)N/a
Webserver software & versionN/a
PHP VersionN/a
Attached Files

- Relationships

-  Notes
User avatar (22803)
Renier (reporter)
2012-12-02 12:09
edited on: 2012-12-02 12:24

I had one of my developers (Ravindra Khokharia) looked at the issue.
His comments:

1) File - /application/controllers/RegisterController.php
2) Added extra function at the end of file, below
    function _printTemplateContent($sTemplateFile, &$redata, $iDebugLine = -1)
    {
        echo templatereplace(file_get_contents($sTemplateFile),array(),$redata,'survey['.$iDebugLine.']');
    }
3) Function name - actionIndex - line no 50

Below code after line number 273 in Register Controller.php

    foreach(file("$thistpl/startpage.pstpl") as $op)
        {
            echo templatereplace($op);
        }
        foreach(file("$thistpl/survey.pstpl") as $op)
        {
            echo "\t".templatereplace($op);
        }
        echo $html;
        foreach(file("$thistpl/endpage.pstpl") as $op)
        {
            echo templatereplace($op);
        }

is replaced with below code

    $redata = compact(array_keys(get_defined_vars()));
        $this->_printTemplateContent($thistpl.'/startpage.pstpl', $redata, __LINE__);
        $this->_printTemplateContent($thistpl.'/survey.pstpl', $redata, __LINE__);
        echo $html;
    $this->_printTemplateContent($thistpl.'/endpage.pstpl', $redata, __LINE__);

User avatar (22804)
c_schmitz (administrator)
2012-12-02 13:26

Can you please create a gitHub pull request?
User avatar (22819)
c_schmitz (administrator)
2012-12-03 11:14

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=10662 [^]
User avatar (22820)
c_schmitz (administrator)
2012-12-03 11:29

Thank you.
User avatar (22823)
c_schmitz (administrator)
2012-12-03 14:57

Fix committed to 2.1 branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=10670 [^]
User avatar (22845)
c_schmitz (administrator)
2012-12-04 13:16

LimeSurvey 2.0+ build 121204 released.

- Related Changesets
LimeSurvey: master d1e0c87f
Timestamp: 2012-12-03 10:14:25
Author: c_schmitz
Committer: Carsten Schmitz
Details ] Diff ]
Merge pull request #57 from ravindrakhokharia/master

Fixed issue 06992
mod - application/controllers/RegisterController.php Diff ] File ]
LimeSurvey: 2.1 92de1b45
Timestamp: 2012-12-03 13:54:40
Author: c_schmitz
Committer: Carsten Schmitz
Details ] Diff ]
Fixed issue 06992: After registering for a token based survey - the next page is missing template css
mod - application/controllers/RegisterController.php Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-11-29 20:34 creativologist New Issue
2012-12-02 12:09 Renier Note Added: 22803
2012-12-02 12:24 Renier Note Edited: 22803 View Revisions
2012-12-02 13:26 c_schmitz Note Added: 22804
2012-12-02 13:26 c_schmitz Assigned To => c_schmitz
2012-12-02 13:26 c_schmitz Status new => feedback
2012-12-03 11:14 c_schmitz Changeset attached => LimeSurvey master d1e0c87f
2012-12-03 11:14 c_schmitz Note Added: 22819
2012-12-03 11:14 c_schmitz Resolution open => fixed
2012-12-03 11:29 c_schmitz Note Added: 22820
2012-12-03 11:29 c_schmitz Status feedback => resolved
2012-12-03 11:29 c_schmitz Fixed in Version => 2.00+
2012-12-03 14:57 c_schmitz Changeset attached => LimeSurvey 2.1 92de1b45
2012-12-03 14:57 c_schmitz Note Added: 22823
2012-12-04 13:16 c_schmitz Note Added: 22845
2012-12-04 13:16 c_schmitz Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker